All: App/Controllers/ConversacionController.o App/Controllers/UsuarioController.o App/Factories/FConversacionController.o App/Factories/FUsuarioController.o App/Contacto.o App/Conversacion.o App/DtContacto.o App/DtConversacion.o App/DtConvGrupo.o App/DtConvPrivada.o App/DtInfoContacto.o App/DtInfoConversacion.o App/DtInfoMensajeEnviado.o App/DtMensaje.o App/DtMsjContacto.o App/DtMsjImagen.o App/DtMsjSimple.o App/DtMsjVideo.o App/Fecha.o App/FechaHora.o App/Grupal.o App/Grupo.o App/Imagen.o App/Mensaje.o App/Menu.o App/Multimedia.o App/Privada.o App/Reloj.o App/Simple.o App/Usuario.o App/UsuarioConversacion.o App/UsuarioGrupo.o App/UsuarioMensaje.o App/Video.o
	if [ -d dist ]; then rm -Rf dist; fi
	mkdir dist
	g++ -std=c++14 -Wall -o dist/guasap main.cpp App/Controllers/ConversacionController.o App/Controllers/UsuarioController.o App/Factories/FConversacionController.o App/Factories/FUsuarioController.o App/Contacto.o App/Conversacion.o App/DtContacto.o App/DtConversacion.o App/DtConvGrupo.o App/DtConvPrivada.o App/DtInfoContacto.o App/DtInfoConversacion.o App/DtInfoMensajeEnviado.o App/DtMensaje.o App/DtMsjContacto.o App/DtMsjImagen.o App/DtMsjSimple.o App/DtMsjVideo.o App/Fecha.o App/FechaHora.o App/Grupal.o App/Grupo.o App/Imagen.o App/Mensaje.o App/Menu.o App/Multimedia.o App/Privada.o App/Reloj.o App/Simple.o App/Usuario.o App/UsuarioConversacion.o App/UsuarioGrupo.o App/UsuarioMensaje.o App/Video.o

App/Controllers/ConversacionController.o: App/Controllers/ConversacionController.cpp App/Controllers/ConversacionController.h
	g++ -std=c++14 -Wall -c -o App/Controllers/ConversacionController.o App/Controllers/ConversacionController.cpp

App/Controllers/UsuarioController.o: App/Controllers/UsuarioController.cpp App/Controllers/UsuarioController.h
	g++ -std=c++14 -Wall -c -o App/Controllers/UsuarioController.o App/Controllers/UsuarioController.cpp

App/Factories/FConversacionController.o: App/Factories/FConversacionController.cpp App/Factories/FConversacionController.h
	g++ -std=c++14 -Wall -c -o App/Factories/FConversacionController.o App/Factories/FConversacionController.cpp

App/Factories/FUsuarioController.o: App/Factories/FUsuarioController.cpp App/Factories/FUsuarioController.h
	g++ -std=c++14 -Wall -c -o App/Factories/FUsuarioController.o App/Factories/FUsuarioController.cpp

App/Contacto.o: App/Contacto.cpp App/Contacto.h
	g++ -std=c++14 -Wall -c -o App/Contacto.o App/Contacto.cpp

App/Conversacion.o: App/Conversacion.cpp App/Conversacion.h
	g++ -std=c++14 -Wall -c -o App/Conversacion.o App/Conversacion.cpp

App/DtContacto.o: App/DtContacto.cpp App/DtContacto.h
	g++ -std=c++14 -Wall -c -o App/DtContacto.o App/DtContacto.cpp

App/DtConversacion.o: App/DtConversacion.cpp App/DtConversacion.h
	g++ -std=c++14 -Wall -c -o App/DtConversacion.o App/DtConversacion.cpp

App/DtConvGrupo.o: App/DtConvGrupo.cpp App/DtConvGrupo.h
	g++ -std=c++14 -Wall -c -o App/DtConvGrupo.o App/DtConvGrupo.cpp

App/DtConvPrivada.o: App/DtConvPrivada.cpp App/DtConvPrivada.h
	g++ -std=c++14 -Wall -c -o App/DtConvPrivada.o App/DtConvPrivada.cpp

App/DtInfoContacto.o: App/DtInfoContacto.cpp App/DtInfoContacto.h
	g++ -std=c++14 -Wall -c -o App/DtInfoContacto.o App/DtInfoContacto.cpp

App/DtInfoConversacion.o: App/DtInfoConversacion.cpp App/DtInfoConversacion.h
	g++ -std=c++14 -Wall -c -o App/DtInfoConversacion.o App/DtInfoConversacion.cpp

App/DtInfoMensajeEnviado.o: App/DtInfoMensajeEnviado.cpp App/DtInfoMensajeEnviado.h
	g++ -std=c++14 -Wall -c -o App/DtInfoMensajeEnviado.o App/DtInfoMensajeEnviado.cpp

App/DtMensaje.o: App/DtMensaje.cpp App/DtMensaje.h
	g++ -std=c++14 -Wall -c -o App/DtMensaje.o App/DtMensaje.cpp

App/DtMsjContacto.o: App/DtMsjContacto.cpp App/DtMsjContacto.h
	g++ -std=c++14 -Wall -c -o App/DtMsjContacto.o App/DtMsjContacto.cpp

App/DtMsjImagen.o: App/DtMsjImagen.cpp App/DtMsjImagen.h
	g++ -std=c++14 -Wall -c -o App/DtMsjImagen.o App/DtMsjImagen.cpp

App/DtMsjSimple.o: App/DtMsjSimple.cpp App/DtMsjSimple.h
	g++ -std=c++14 -Wall -c -o App/DtMsjSimple.o App/DtMsjSimple.cpp

App/DtMsjVideo.o: App/DtMsjVideo.cpp App/DtMsjVideo.h
	g++ -std=c++14 -Wall -c -o App/DtMsjVideo.o App/DtMsjVideo.cpp

App/Fecha.o: App/Fecha.cpp App/Fecha.h
	g++ -std=c++14 -Wall -c -o App/Fecha.o App/Fecha.cpp

App/FechaHora.o: App/FechaHora.cpp App/FechaHora.h
	g++ -std=c++14 -Wall -c -o App/FechaHora.o App/FechaHora.cpp

App/Grupal.o: App/Grupal.cpp App/Grupal.h
	g++ -std=c++14 -Wall -c -o App/Grupal.o App/Grupal.cpp

App/Grupo.o: App/Grupo.cpp App/Grupo.h
	g++ -std=c++14 -Wall -c -o App/Grupo.o App/Grupo.cpp

App/Imagen.o: App/Imagen.cpp App/Imagen.h
	g++ -std=c++14 -Wall -c -o App/Imagen.o App/Imagen.cpp

App/Mensaje.o: App/Mensaje.cpp App/Mensaje.h
	g++ -std=c++14 -Wall -c -o App/Mensaje.o App/Mensaje.cpp

App/Menu.o: App/Menu.cpp App/Menu.h
	g++ -std=c++14 -Wall -c -o App/Menu.o App/Menu.cpp

App/Multimedia.o: App/Multimedia.cpp App/Multimedia.h
	g++ -std=c++14 -Wall -c -o App/Multimedia.o App/Multimedia.cpp

App/Privada.o: App/Privada.cpp App/Privada.h
	g++ -std=c++14 -Wall -c -o App/Privada.o App/Privada.cpp

App/Reloj.o: App/Reloj.cpp App/Reloj.h
	g++ -std=c++14 -Wall -c -o App/Reloj.o App/Reloj.cpp

App/Simple.o: App/Simple.cpp App/Simple.h
	g++ -std=c++14 -Wall -c -o App/Simple.o App/Simple.cpp

App/Usuario.o: App/Usuario.cpp App/Usuario.h
	g++ -std=c++14 -Wall -c -o App/Usuario.o App/Usuario.cpp

App/UsuarioConversacion.o: App/UsuarioConversacion.cpp App/UsuarioConversacion.h
	g++ -std=c++14 -Wall -c -o App/UsuarioConversacion.o App/UsuarioConversacion.cpp

App/UsuarioGrupo.o: App/UsuarioGrupo.cpp App/UsuarioGrupo.h
	g++ -std=c++14 -Wall -c -o App/UsuarioGrupo.o App/UsuarioGrupo.cpp

App/UsuarioMensaje.o: App/UsuarioMensaje.cpp App/UsuarioMensaje.h
	g++ -std=c++14 -Wall -c -o App/UsuarioMensaje.o App/UsuarioMensaje.cpp

App/Video.o: App/Video.cpp App/Video.h
	g++ -std=c++14 -Wall -c -o App/Video.o App/Video.cpp

clean:
	rm -f App/Controllers/*.o
	rm -f App/Factories/*.o
	rm -f App/Interfaces/*.o
	rm -f App/*.o
	rm -fR dist